Cripay Docs

Pay a checkout from the CryptoPay balance

Internal transfer from the signed-in user's balance to the merchant (no gas). Accepts an `Idempotency-Key` header.

POST
/v1/checkout/{id}/pay-internal

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key (cpr_…) or session JWT

Path Parameters

id*string

Request Body

application/json
  1. body

Response Body

Default Response

application/json
  1. response
id*string
status*string
payment_method*string
asset*string
chain*string
amount_units*string
net_amount_units*string
Example Request
curl -X POST 'http://127.0.0.1:3001/v1/checkout/string/pay-internal'
Example Response
{  "id": "string",  "status": "string",  "payment_method": "string",  "asset": "string",  "chain": "string",  "amount_units": "string",  "net_amount_units": "string"}